## libiodbc2 3.52.2

=== mac/Makefile ===
--- 
+++ 
@@ -66,7 +66,7 @@
 #  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
 
-all: iODBCinst iODBC iODBCtest
+all: iODBCinst iODBC iODBCtest iODBCtestw
 
 #
 # ascertain whether to use pbxbuild (jaguar) or xcodebuild (panther)
@@ -88,25 +88,29 @@
 #
 #  Build the test program
 #
-.PHONY: iODBCtest
+.PHONY: iODBCtest iODBCtestw
 iODBCtest:
 	cd iODBCtest; $(PROJBUILD) build -buildstyle Deployment
 
+iODBCtestw:
+	cd iODBCtestw ; $(PROJBUILD) build -buildstyle Deployment
 
 #
 #  Generate iODBC framework style include files
 #
 .PHONY: include
-include: framework-include.sh ../include/sql.h ../include/sqlext.h ../include/sqltypes.h ../include/iodbcinst.h
+include: framework-include.sh ../include/sql.h ../include/sqlext.h ../include/sqltypes.h ../include/iodbcext.h ../include/iodbcunix.h ../include/iodbcinst.h
 	sh framework-include.sh
 
 #
 #  Install libraries in /Library/Frameworks
 #
 install:
+	-sudo rm /Library/Frameworks/iODBC.framework/Versions/Current
+	-sudo rm /Library/Frameworks/iODBCinst.framework/Versions/Current
 	cd iODBC;     sudo $(PROJBUILD) install -buildstyle Deployment DSTROOT=/
 	cd iODBCinst; sudo $(PROJBUILD) install -buildstyle Deployment DSTROOT=/
-
+	sudo sh link-inclibs.sh
 
 #
 #  Clean out the targets
@@ -116,3 +120,4 @@
 	cd iODBC;     $(PROJBUILD) clean
 	cd iODBCinst; $(PROJBUILD) clean
 	cd iODBCtest; $(PROJBUILD) clean
+	cd iODBCtestw; $(PROJBUILD) clean
