## libiodbc2 3.52.3

=== mac/Makefile ===
--- 
+++ 
@@ -98,9 +98,9 @@
 #
 #  Generate iODBC framework style include files
 #
-.PHONY: include
-include: framework-include.sh ../include/sql.h ../include/sqlext.h ../include/sqltypes.h ../include/iodbcext.h ../include/iodbcunix.h ../include/iodbcinst.h
+include: framework-include.sh ../include/sql.h ../include/sqlext.h ../include/sqltypes.h ../include/iodbcext.h ../include/iodbcunix.h ../include/odbcinst.h
 	sh framework-include.sh
+	touch include
 
 #
 #  Install libraries in /Library/Frameworks
@@ -108,8 +108,10 @@
 install:
 	-sudo rm /Library/Frameworks/iODBC.framework/Versions/Current
 	-sudo rm /Library/Frameworks/iODBCinst.framework/Versions/Current
-	cd iODBC;     sudo $(PROJBUILD) install -buildstyle Deployment DSTROOT=/
+	cd iODBC; sudo $(PROJBUILD) install -buildstyle Deployment DSTROOT=/
 	cd iODBCinst; sudo $(PROJBUILD) install -buildstyle Deployment DSTROOT=/
+	cd iODBCtest; sudo $(PROJBUILD) install -buildstyle Deployment DSTROOT=/
+	cd iODBCtestw; sudo $(PROJBUILD) install -buildstyle Deployment DSTROOT=/
 	sudo sh link-inclibs.sh
 
 #
