## libiodbc2 3.52.6

=== mac/Makefile ===
--- 
+++ 
@@ -148,3 +148,6 @@
 	cd iODBCinst;	$(PROJBUILD) clean
 	cd iODBCtest;	$(PROJBUILD) clean
 	cd iODBCtestw;	$(PROJBUILD) clean
+
+realclean: clean
+	rm -rf iODBC/build iODBCinst/build iODBCtest/build iODBCtestw/build
