## libiodbc2 3.52.6-2

=== debian/changelog ===
libiodbc2 (3.52.6-2) unstable; urgency=low

  * Moved all .so files back to the -dev package.  Closes: #468455.
  * debian/patches/01_so.diff: Use ".so.2" instead of ".so".  See: #275179.
  * debian/patches/02_gtk.diff, debian/control: Removed gtk1.2 check, and
    removed libgtk1.2-dev from Build-Depends.  Closes: #454524.
  * Fixed "iodbc: spelling-error-in-description GTK GTK+".

 -- Bart Martens <bartm@debian.org>  Sat, 01 Mar 2008 18:19:57 +0100

libiodbc2 (3.52.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Fixed substvar-source-version-is-deprecated.
  * debian/control: Build-Depends: libgtk2.0-dev.

 -- Bart Martens <bartm@debian.org>  Sat, 03 Nov 2007 10:07:00 +0100

libiodbc2 (3.52.5-1) unstable; urgency=low

  * New upstream release.
  * debian/*.lintian-overrides: Updated.
  * debian/README.Debian: Updated by upstream author.
  * debian/rules: Cleanup of generated changes.
  * debian/watch: Updated.

 -- Bart Martens <bartm@knars.be>  Sat, 28 Apr 2007 21:20:19 +0200

libiodbc2 (3.52.4-5) unstable; urgency=low

  * debian/control, debian/compat: Reverted changing debhelper compat level.
    Closes: #410706.

 -- Bart Martens <bartm@knars.be>  Tue, 27 Feb 2007 23:39:44 +0100

libiodbc2 (3.52.4-4) unstable; urgency=low

  * debian/control: Added "m4 (>= 1.4.7)" to Build-Depends.  Closes: #404093.
    Thanks to Martin Guy <martinwguy@yahoo.it>.
  * Rebuilding this package makes iodbc depend on libiodbc2.  Closes: #405077.
    Thanks to Martin Guy <martinwguy@yahoo.it>.
  * debian/control: Removed duplicate Build-Depends on autotools-dev.
  * debian/control, debian/compat: Standards version and debhelper version.

 -- Bart Martens <bartm@knars.be>  Sun, 14 Jan 2007 12:13:31 +0100

libiodbc2 (3.52.4-3) unstable; urgency=low

  * New maintainer.  Closes: #230646.
  * debian/copyright: Updated by removing the existing patches.  This fixes
    the FSF address, and this restores some subtle upstream license choices.
  * debian/iodbc.lintian-overrides: Updated.
  * debian/libiodbc2.lintian-overrides: Updated.
  * debian/control, debian/rules: Use automake1.9.
  * debian/control: Standards version.
  * debian/control: Added homepage.

 -- Bart Martens <bartm@knars.be>  Sat, 22 Apr 2006 16:38:52 +0200

libiodbc2 (3.52.4-2) unstable; urgency=low

  * Fixed FTBFS due to bug in iodbc control file which has recently started
    to let dpkg-genchanges fail.

 -- Christian Hammers <ch@debian.org>  Mon,  6 Feb 2006 20:28:19 +0100

libiodbc2 (3.52.4-1) unstable; urgency=low

  * New upstream release.
    Closes: #339501 

 -- Christian Hammers <ch@debian.org>  Mon, 30 Jan 2006 21:37:30 +0100

libiodbc2 (3.52.3-1) unstable; urgency=low

  * New upstream release.
    Closes: #309935, #309936, #301304
  * Removed Debian specific patches and added --layout=debian to configure.

 -- Christian Hammers <ch@debian.org>  Wed, 16 Nov 2005 02:56:21 +0100

libiodbc2 (3.52.2-4) unstable; urgency=low

  * Raised automake version from 1.6 to 1.7 on request of Eric Dorland. 

 -- Christian Hammers <ch@debian.org>  Sun, 31 Jul 2005 23:50:25 +0200

libiodbc2 (3.52.2-3) unstable; urgency=low

  * Andreas Jochens reported a build problem on amd64 which uses the
    apparently more strict gcc-4.0 and provided a patch. Thanks!
    Closes: #294154

 -- Christian Hammers <ch@debian.org>  Tue,  8 Feb 2005 13:04:39 +0100

libiodbc2 (3.52.2-2) unstable; urgency=low

  * debian/rules: Adjusted CDBS variables necessary to update libtool
    (thanks to Robert Millan). Closes: #268306, #262295

 -- Christian Hammers <ch@debian.org>  Mon,  7 Feb 2005 21:05:33 +0100

libiodbc2 (3.52.2-1) unstable; urgency=low

  * New upstream version. 

 -- Christian Hammers <ch@debian.org>  Mon,  7 Feb 2005 19:28:33 +0100

libiodbc2 (3.52.1-2) unstable; urgency=medium

  * Moved all .so files from libiodbc2-dev to iodbc and libiodbc2 as some
    applications like iodbcadm-gtk from iodbc load their shared libraries
    in a DLL wrapper function at runtime and not via the common dynamic
    linking way! (thanks to Alexey Nezhdanov). Closes: #275179

 -- Christian Hammers <ch@debian.org>  Thu,  7 Oct 2004 23:02:04 +0200

libiodbc2 (3.52.1-1) unstable; urgency=low

  * New upstream release. 

 -- Christian Hammers <ch@debian.org>  Sat,  2 Oct 2004 21:48:11 +0200

libiodbc2 (3.51.2-5) unstable; urgency=medium

  * Reworked libtool update to fix FTBFS on ARM. 
    Sadly buildd said maybe-success and it took me a while to figure out
    that there was something for me to do :-(

 -- Christian Hammers <ch@debian.org>  Sat, 21 Aug 2004 15:08:48 +0200

libiodbc2 (3.51.2-4) unstable; urgency=medium

  * Added versioned dependencies to the .shlibs file (thanks to
    Adrian Bunk). Closes: #265494
  * Added shlibs.local.

 -- Christian Hammers <ch@debian.org>  Fri, 13 Aug 2004 22:38:39 +0200

libiodbc2 (3.51.2-3) unstable; urgency=low

  * Converted debian/rules to cdbs.

 -- Christian Hammers <ch@debian.org>  Mon,  2 Aug 2004 19:43:22 +0200

libiodbc2 (3.51.2-2) unstable; urgency=low

  * Reverted the "-ld" patch from last upload. The problem that my iodbc
    libraries all had a TEXTREL symbol in them was simply caused do a "bug"
    in the libc6 package that made libdl.so a symlink pointing from 
    /usr/lib/ to ../../lib/ which does not work if /usr is on another 
    partition than /lib!

 -- Christian Hammers <ch@debian.org>  Thu,  4 Mar 2004 01:33:55 +0100

libiodbc2 (3.51.2-1) unstable; urgency=medium

  * New upstream version. 
  * Changed Makefile so that there is no longer a TEXTREL secion in
    libiodbc.so.2.1.9 and "prelink" is happy. The shared library is now
    hopefully fully PIC compatible. Closes: #228859
  * Upstream fixed this bug according to private email. Closes: #169174
  * Changed section of libiodbc2-dev to libdevel.
  * Updated download link in copyright file.

 -- Christian Hammers <ch@debian.org>  Sun, 29 Feb 2004 22:39:59 +0100

libiodbc2 (3.51.1-3) unstable; urgency=low


