## libiodbc2 3.52.7

=== debian/changelog ===
libiodbc2 (3.52.7-3) unstable; urgency=low

  * QA upload.
  * Find odbc drivers in a system dir.
  * Lower relation to iodbc from libiodbc2-dev. (Closes: #640975)

 -- Sune Vuorela <sune@debian.org>  Fri, 17 May 2013 23:08:52 +0200

libiodbc2 (3.52.7-2) unstable; urgency=low

  * QA upload
  * DH compat level 8, bump version in build-dependency on debhelper
  * debian/libiodbc2-dev.{install,files}: do not install .la files
    (closes: #621579).
  * debian/control: libiodbc2 depends on iodbc (closes: #571199).

 -- Ralf Treinen <treinen@debian.org>  Sat, 09 Apr 2011 08:40:01 +0200

libiodbc2 (3.52.7-1) experimental; urgency=low

  * QA upload
  * New upstream release (closes: #551595). This release fixes a segfault
    (closes:  #532563).
  * Convert to source format 3.0 (quilt)
  * DH compat level 5 (no change)
  * Removed patche 01_so.diff since incorporated by upstream.
  * Patch admin-compile: added admin/compile from version 3.52.6
    which apparently got lost

 -- Ralf Treinen <treinen@debian.org>  Sat, 26 Jun 2010 22:19:58 +0200

libiodbc2 (3.52.6-4) unstable; urgency=low

  * QA upload
  * patch debian/patches/05_unicode_includes.diff: iodbcinst/unicode.h
    needs to include <iodbc.h> for HAVE_* definitions from configure.
    Thanks to Colin Watson for the patch! (closes: 550063).
  * Added dependency on ${misc:Depends} for all binary packages from
    this source.

 -- Ralf Treinen <treinen@debian.org>  Tue, 13 Oct 2009 08:37:42 +0200

libiodbc2 (3.52.6-3) unstable; urgency=low

  * QA upload, orphaning this package.
  * debian/patches/03_bug508480.diff: Added.  Closes: #508480.
    Patch by Martín Ferrari <tincho@debian.org>, thanks.
  * debian/patches/04_bug501100.diff: Added.  Closes: #501100.
    Patch by Adam Majer <adamm@zombino.com>, thanks.
  * debian/control: Edited descriptions.  Closes: #477147.
    Patch by Adrian Knoth <adi@drcomp.erfurt.thur.de>, thanks.

 -- Bart Martens <bartm@debian.org>  Tue, 23 Dec 2008 19:48:18 +0100
