## libiodbc2 3.52.9

=== mac/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 #  The iODBC driver manager.
 #
-#  Copyright (C) 1996-2006 by OpenLink Software <iodbc@openlinksw.com>
+#  Copyright (C) 1996-2014 by OpenLink Software <iodbc@openlinksw.com>
 #  All Rights Reserved.
 #
 #  This software is released under the terms of either of the following
@@ -84,6 +84,7 @@
 #
 macosx_version	:= $(shell sw_vers -productVersion)
 
+
 #
 #  Mac OS X 10.2
 #
@@ -91,6 +92,7 @@
     PROJBUILD := /usr/bin/pbxbuild -buildstyle $(MODEL)
 endif
 
+
 #
 #  Mac OS X 10.3
 #
@@ -98,12 +100,69 @@
     PROJBUILD := /usr/bin/xcodebuild -buildstyle $(MODEL)
 endif
 
+
 #
 #  Mac OS X 10.4
 #
 ifeq (10.4, $(findstring 10.4, $(macosx_version)))
     PROJBUILD := /usr/bin/xcodebuild -configuration $(MODEL)
-endif
+    IODBC_TARGET=10.4
+    IODBC_SDK=/Developer/SDKs/MacOSX10.4u.sdk/
+endif
+
+
+#
+#  Mac OS X 10.5
+#
+ifeq (10.5, $(findstring 10.5, $(macosx_version)))
+    PROJBUILD := /usr/bin/xcodebuild -configuration $(MODEL)
+    IODBC_TARGET=10.5
+    IODBC_SDK=/Developer/SDKs/MacOSX10.5.sdk/
+endif
+
+
+#
+#  Mac OS X 10.6
+#
+ifeq (10.6, $(findstring 10.6, $(macosx_version)))
+    PROJBUILD := /usr/bin/xcodebuild -configuration $(MODEL)
+    IODBC_TARGET=10.6
+    IODBC_SDK=/Developer/SDKs/MacOSX10.6.sdk/
+endif
+
+
+#
+#  Mac OS X 10.7
+#
+ifeq (10.7, $(findstring 10.7, $(macosx_version)))
+    PROJBUILD := /usr/bin/xcodebuild -configuration $(MODEL) -sdk macosx10.7
+    IODBC_TARGET=10.7
+    #IODBC_SDK=/Developer/SDKs/MacOSX10.7.sdk/
+endif
+
+
+#
+#  Mac OS X 10.8
+#
+ifeq (10.8, $(findstring 10.8, $(macosx_version)))
+    PROJBUILD := /usr/bin/xcodebuild -configuration $(MODEL) -sdk macosx10.8
+    IODBC_TARGET=10.8
+endif
+
+
+#
+#  Mac OS X 10.9
+#
+ifeq (10.9, $(findstring 10.9, $(macosx_version)))
+    PROJBUILD := /usr/bin/xcodebuild -configuration $(MODEL) -sdk macosx10.9
+    IODBC_TARGET=10.9
+endif
+
+
+#
+#  Pass settings to xcodebuild
+#
+export IODBC_TARGET IODBC_SDK
 
 
 #
@@ -112,10 +171,14 @@
 all: include
 	@echo "Building on Mac OS X $(macosx_version)"
 	@echo "Projbuild is [$(PROJBUILD)]"
-	cd iODBCinst;	$(PROJBUILD) build
-	cd iODBC;	$(PROJBUILD) build
-	cd iODBCtest;	$(PROJBUILD) build
-	cd iODBCtestw;	$(PROJBUILD) build
+	cd iODBCinst;		$(PROJBUILD) build
+	cd iODBC;		$(PROJBUILD) build
+	cd iODBCtest;		$(PROJBUILD) build
+	cd iODBCtestw;		$(PROJBUILD) build
+	cd iODBCdrvproxy;	$(PROJBUILD) build
+	cd iODBCadm;		$(PROJBUILD) build
+	cd iODBCadministrator;	$(PROJBUILD) build
+	cd iODBCdemo;		$(PROJBUILD) build -alltargets
 
 
 #
@@ -123,20 +186,45 @@
 #
 include: framework-include.sh ../include/sql.h ../include/sqlext.h ../include/sqltypes.h ../include/iodbcext.h ../include/iodbcunix.h ../include/odbcinst.h
 	sh framework-include.sh
-	touch include
 
 
 #
 #  Install libraries in /Library/Frameworks
 #
 install:
-	-sudo rm /Library/Frameworks/iODBC.framework/Versions/Current
-	-sudo rm /Library/Frameworks/iODBCinst.framework/Versions/Current
-	cd iODBCinst;	sudo $(PROJBUILD) install DSTROOT=/
-	cd iODBC;	sudo $(PROJBUILD) install DSTROOT=/
-	cd iODBCtest;	sudo $(PROJBUILD) install DSTROOT=/
-	cd iODBCtestw;	sudo $(PROJBUILD) install DSTROOT=/
-	sudo sh link-inclibs.sh
+	#
+	#  Install Frameworks
+	#
+	-rm $(DESTDIR)/Library/Frameworks/iODBC.framework/Versions/Current
+	-rm $(DESTDIR)/Library/Frameworks/iODBCinst.framework/Versions/Current
+	cd iODBCinst;		$(PROJBUILD) install DSTROOT=$(DESTDIR)/
+	cd iODBC;		$(PROJBUILD) install DSTROOT=$(DESTDIR)/
+	#
+	#  Install /usr/local/iODBC
+	#
+	sh link-inclibs.sh
+	#
+	#  Install iODBC Administrator
+	#
+	cd iODBCadministrator;	$(PROJBUILD) install DSTROOT=$(DESTDIR)/
+	#  Next ones are a bit special as they need to be installed twice
+	cd iODBCadm;		$(PROJBUILD) install DSTROOT=$(DESTDIR)/Library/Frameworks/iODBC.framework/Resources/
+	cd iODBCadm;		$(PROJBUILD) install DSTROOT=$(DESTDIR)/Library/Frameworks/iODBCinst.framework/Resources/
+	cd iODBCdrvproxy;	$(PROJBUILD) install DSTROOT=$(DESTDIR)/Library/Frameworks/iODBC.framework/Resources/
+	cd iODBCdrvproxy;	$(PROJBUILD) install DSTROOT=$(DESTDIR)/Library/Frameworks/iODBCinst.framework/Resources/
+	#
+	#  Install application
+	#
+	cd iODBCdemo;		$(PROJBUILD) install -alltargets DSTROOT=$(DESTDIR)/
+	cd iODBCtest;		$(PROJBUILD) install DSTROOT=$(DESTDIR)/
+	cd iODBCtestw;		$(PROJBUILD) install DSTROOT=$(DESTDIR)/
+	#
+	#  Install CFM bridge for Microsoft Office
+	#
+	mkdir -p "$(DESTDIR)/Library/CFMSupport/iODBC CFM Bridge"
+	install -m755 "iODBCcfmbridge/iODBC_CFM_Bridge" "$(DESTDIR)/Library/CFMSupport/iODBC CFM Bridge"
+	install -m755 "iODBCcfmbridge/iODBC_CFM_Bridge.res" "$(DESTDIR)/Library/CFMSupport/._iODBC CFM Bridge"
+	/System/Library/CoreServices/FixupResourceForks /Library/CFMSupport
 
 
 #
@@ -144,10 +232,22 @@
 #
 clean:
 	rm -rf include
-	cd iODBC;	$(PROJBUILD) clean
-	cd iODBCinst;	$(PROJBUILD) clean
-	cd iODBCtest;	$(PROJBUILD) clean
-	cd iODBCtestw;	$(PROJBUILD) clean
+	cd iODBC;		$(PROJBUILD) clean
+	cd iODBCinst;		$(PROJBUILD) clean
+	cd iODBCtest;		$(PROJBUILD) clean
+	cd iODBCtestw;		$(PROJBUILD) clean
+	cd iODBCdrvproxy;	$(PROJBUILD) clean
+	cd iODBCadm;		$(PROJBUILD) clean
+	cd iODBCadministrator;	$(PROJBUILD) clean
+	cd iODBCdemo;		$(PROJBUILD) clean
+
 
 realclean: clean
-	rm -rf iODBC/build iODBCinst/build iODBCtest/build iODBCtestw/build
+	rm -rf iODBC/build
+	rm -rf iODBCadm/build
+	rm -rf iODBCadministrator/build
+	rm -rf iODBCdemo/build
+	rm -rf iODBCdrvproxy/build
+	rm -rf iODBCinst/build
+	rm -rf iODBCtest/build
+	rm -rf iODBCtestw/build
