=== debian/changelog ===
libiodbc2 (3.52.9-2) unstable; urgency=medium

  * Set SYSTEM_DIR to the odbc multiarch path. (Closes: #749427)
    Thanks to Christoph Berg.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 May 2014 13:06:37 +0200

libiodbc2 (3.52.9-1) unstable; urgency=medium

  * Add vcs control fields.
  * Bump Standards-Version to 3.9.5.
  * Prepare package for unstable. (Closes: #715086, #724405)
  * Add abi-compliance-checker info.
  * New upstream release.
  * Delete patch: admin-compile, upstream added the missing file.
  * Delete patch: full_path_wont_match_local_rule.diff, applied
    upstream.
  * Refresh patches.
  * Add dh-acc lintian-override.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 14 May 2014 12:57:11 +0200

libiodbc2 (3.52.8-2) experimental; urgency=low

  * New patch: full_path_wont_match_local_rule.diff.
  * Use dh_autoreconf as-needed feature.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Jun 2013 19:54:24 +0200

libiodbc2 (3.52.8-1) experimental; urgency=low

  * New upstream release.
  * New maintainer. (Closes: #509815)
  * Bump debhelper build-dep and compat to 9.
  * Migrate packaging to dh.
  * Bump Standards-Version to 3.9.4.
  * Add symbols files.
  * Update install files for multi-arch.
  * Update install files.
  * Add Pre-Depends for multi-arch.
  * Update lintian-overrides.
  * Remove duplicate section field.
  * Update libiodbc2-dev install file, remove private libraries.
  * Change includedir to avoid conflicts.
  * Install pkgconfig file.
  * Add Multi-Arch: same to libiodbc2.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Jun 2013 09:06:37 +0200
