=== debian/control ===
--- 
+++ 
@@ -1,15 +1,23 @@
 Source: libiodbc2
 Section: libs
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 8), autotools-dev, libtool (>= 1.5-2), automake1.9, autoconf, cdbs, m4 (>= 1.4.7), libgtk2.0-dev
-Standards-Version: 3.8.0
+Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>, Sune Vuorela <sune@debian.org>
+Build-Depends: autotools-dev,
+               debhelper (>= 9),
+               dh-autoreconf,
+               libgtk2.0-dev,
+               pkg-kde-tools
+Standards-Version: 3.9.5
 Homepage: http://www.iodbc.org/
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/krap/libiodbc2.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/libiodbc2.git
 
 Package: iodbc
 Section: misc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends} 
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: GTK+ config frontend for the iODBC Driver Manager
  The iODBC (intrinsic Open Database Connectivity) driver manager is compatible
  with the ODBC 2.x and 3.x specification and performs all the jobs of a
@@ -25,9 +33,10 @@
  This package contains the configuration binaries.
 
 Package: libiodbc2
-Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends} 
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: iodbc (= ${binary:Version})
 Description: iODBC Driver Manager
  The iODBC (intrinsic Open Database Connectivity) driver manager is compatible
@@ -46,9 +55,8 @@
 Package: libiodbc2-dev
 Section: libdevel
 Architecture: any
-Depends: libiodbc2 (= ${binary:Version}), 
- ${misc:Depends} 
-Conflicts: libiodbc2 (<= 3.52.6-1), iodbc (<= 3.52.6-1)
+Depends: libiodbc2 (= ${binary:Version}), ${misc:Depends}
+Conflicts: iodbc (<= 3.52.6-1), libiodbc2 (<= 3.52.6-1)
 Description: iODBC Driver Manager (development files)
  The iODBC (intrinsic Open Database Connectivity) driver manager is compatible
  with the ODBC 2.x and 3.x specification and performs all the jobs of a
