## libiodbc2 3.52.9.1

=== debian/changelog ===
libiodbc2 (3.52.9.1-1+dde) UNRELEASED; urgency=medium

  * update

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Wed, 15 Jun 2022 11:16:08 +0800

libiodbc2 (3.52.9.1-1+dde) stable; urgency=medium

  * Add sunway support.

 -- Miao Changwei <miaochangwei@uniontech.com>  Sun, 15 May 2022 02:56:55 +0800

libiodbc2 (3.52.9-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Force using triplet-prefixed pkg-config. (Closes: #838208)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 12 Dec 2017 22:31:37 +0100
