## libiodbc2 3.52.16

=== debian/changelog ===
libiodbc2 (3.52.16-2) unstable; urgency=medium

  * QA upload
  * Build with -Wno-incompatible-pointer-types

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Nov 2025 13:07:58 +0100

libiodbc2 (3.52.16-1) unstable; urgency=medium

  * QA upload
  * New upstream release
  * Build with -std=c17 (Closes: #1097202)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Nov 2025 08:44:44 +0100

libiodbc2 (3.52.9-4) unstable; urgency=medium

  * QA upload
  * Drop iodbc package (Closes: #967584)

 -- Bastian Germann <bage@debian.org>  Mon, 17 Jul 2023 16:09:27 +0200

libiodbc2 (3.52.9-3) unstable; urgency=medium

  * Orphan package.
  * Add missing build dependency to dh-acc.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Dec 2022 23:16:03 +0100
