=== debian/control ===
--- 
+++ 
@@ -1,36 +1,16 @@
 Source: libiodbc2
 Section: libs
 Priority: optional
-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>, Sune Vuorela <sune@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: autotools-dev,
                debhelper (>= 9),
+               dh-acc,
                dh-autoreconf,
-               libgtk2.0-dev,
                pkg-kde-tools
 Standards-Version: 3.9.5
 Homepage: http://www.iodbc.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/krap/libiodbc2.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/libiodbc2.git
-
-Package: iodbc
-Section: misc
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: GTK+ config frontend for the iODBC Driver Manager
- The iODBC (intrinsic Open Database Connectivity) driver manager is compatible
- with the ODBC 2.x and 3.x specification and performs all the jobs of a
- ODBC driver manager (i.e. driver loading, parameters and function sequence
- checking, driver's function invoking, etc). Any ODBC driver working with
- ODBC 2.0 and 3.x driver manager will also work with iODBC driver manager
- and vice versa.
- .
- Applications (using ODBC function calls) linked with iODBC driver manager
- will be able to simultaneously access different types of data sources within
- one process through suitable iODBC drivers.
- .
- This package contains the configuration binaries.
+Vcs-Browser: https://salsa.debian.org/debian/libiodbc2
+Vcs-Git: https://salsa.debian.org/debian/libiodbc2.git
 
 Package: libiodbc2
 Architecture: any
