=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,12 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 export DEB_CFLAGS_MAINT_APPEND = -DSYSTEM_DIR=\"/usr/lib/$(DEB_HOST_MULTIARCH)/odbc\"
+
+# Temporary workaround, see:
+# - https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1097202
+# - https://github.com/openlink/iODBC/issues/113
+# - https://github.com/openlink/iODBC/issues/118
+export CFLAGS += -std=c17 -Wno-implicit-function-declaration -Wno-int-conversion -Wno-incompatible-pointer-types
 
 %:
 	dh $@ --parallel --with autoreconf,pkgkde_symbolshelper
@@ -11,7 +17,7 @@
 	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
-	dh_auto_configure -- --includedir='$${prefix}/include/iodbc'
+	dh_auto_configure -- --includedir='$${prefix}/include/iodbc' --disable-gui
 
 run_dh_acc:
 	# The package needs to be installed (@ in autopkgtest)
