=== debian/watch ===
version=3
#http://www.iodbc.org/downloads/iODBC/libiodbc-(\d.*)\.tar\.gz
http://sf.net/iodbc/libiodbc-(\d.*)\.tar\.gz
